unit schRecibosProveedorClient_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable;

const
  { Data table rules ids
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_RecibosCompensadosProv = '{63570371-F94E-4DAD-A5D6-3615FADEBAD4}';
  RID_RecibosProveedor = '{01D52742-DC1E-482F-A9A8-772A8B7FD75D}';
  RID_RecibosProveedor_Refresh = '{5F724DAB-29AB-4E61-BDC2-C3F476CF30F0}';
  RID_PagosProveedor = '{6B536629-405F-46A8-9008-9871D317EE04}';

  { Data table names }
  nme_RecibosCompensadosProv = 'RecibosCompensadosProv';
  nme_RecibosProveedor = 'RecibosProveedor';
  nme_RecibosProveedor_Refresh = 'RecibosProveedor_Refresh';
  nme_PagosProveedor = 'PagosProveedor';

  { RecibosCompensadosProv fields }
  fld_RecibosCompensadosProvID = 'ID';
  fld_RecibosCompensadosProvID_RECIBO_COMPENSADO = 'ID_RECIBO_COMPENSADO';
  fld_RecibosCompensadosProvREFERENCIA = 'REFERENCIA';
  fld_RecibosCompensadosProvSITUACION = 'SITUACION';
  fld_RecibosCompensadosProvID_FACTURA = 'ID_FACTURA';
  fld_RecibosCompensadosProvFECHA_EMISION = 'FECHA_EMISION';
  fld_RecibosCompensadosProvFECHA_VENCIMIENTO = 'FECHA_VENCIMIENTO';
  fld_RecibosCompensadosProvIMPORTE = 'IMPORTE';
  fld_RecibosCompensadosProvOTROS_GASTOS = 'OTROS_GASTOS';
  fld_RecibosCompensadosProvIMPORTE_TOTAL = 'IMPORTE_TOTAL';
  fld_RecibosCompensadosProvFECHA_FACTURA = 'FECHA_FACTURA';
  fld_RecibosCompensadosProvIMPORTE_FACTURA = 'IMPORTE_FACTURA';
  fld_RecibosCompensadosProvID_PROVEEDOR = 'ID_PROVEEDOR';
  fld_RecibosCompensadosProvNOMBRE_PROVEEDOR = 'NOMBRE_PROVEEDOR';
  fld_RecibosCompensadosProvNIF_CIF_PROVEEDOR = 'NIF_CIF_PROVEEDOR';
  fld_RecibosCompensadosProvID_EMPRESA = 'ID_EMPRESA';

  { RecibosCompensadosProv field indexes }
  idx_RecibosCompensadosProvID = 0;
  idx_RecibosCompensadosProvID_RECIBO_COMPENSADO = 1;
  idx_RecibosCompensadosProvREFERENCIA = 2;
  idx_RecibosCompensadosProvSITUACION = 3;
  idx_RecibosCompensadosProvID_FACTURA = 4;
  idx_RecibosCompensadosProvFECHA_EMISION = 5;
  idx_RecibosCompensadosProvFECHA_VENCIMIENTO = 6;
  idx_RecibosCompensadosProvIMPORTE = 7;
  idx_RecibosCompensadosProvOTROS_GASTOS = 8;
  idx_RecibosCompensadosProvIMPORTE_TOTAL = 9;
  idx_RecibosCompensadosProvFECHA_FACTURA = 10;
  idx_RecibosCompensadosProvIMPORTE_FACTURA = 11;
  idx_RecibosCompensadosProvID_PROVEEDOR = 12;
  idx_RecibosCompensadosProvNOMBRE_PROVEEDOR = 13;
  idx_RecibosCompensadosProvNIF_CIF_PROVEEDOR = 14;
  idx_RecibosCompensadosProvID_EMPRESA = 15;

  { RecibosProveedor fields }
  fld_RecibosProveedorID = 'ID';
  fld_RecibosProveedorID_RECIBO_COMPENSADO = 'ID_RECIBO_COMPENSADO';
  fld_RecibosProveedorREFERENCIA_REC_COMPENSADO = 'REFERENCIA_REC_COMPENSADO';
  fld_RecibosProveedorREFERENCIA = 'REFERENCIA';
  fld_RecibosProveedorREFERENCIA_PROVEEDOR = 'REFERENCIA_PROVEEDOR';
  fld_RecibosProveedorSITUACION = 'SITUACION';
  fld_RecibosProveedorID_FACTURA = 'ID_FACTURA';
  fld_RecibosProveedorID_REMESA = 'ID_REMESA';
  fld_RecibosProveedorREFERENCIA_REMESA = 'REFERENCIA_REMESA';
  fld_RecibosProveedorFECHA_EMISION = 'FECHA_EMISION';
  fld_RecibosProveedorFECHA_VENCIMIENTO = 'FECHA_VENCIMIENTO';
  fld_RecibosProveedorDESCRIPCION = 'DESCRIPCION';
  fld_RecibosProveedorOBSERVACIONES = 'OBSERVACIONES';
  fld_RecibosProveedorIMPORTE = 'IMPORTE';
  fld_RecibosProveedorOTROS_GASTOS = 'OTROS_GASTOS';
  fld_RecibosProveedorIMPORTE_TOTAL = 'IMPORTE_TOTAL';
  fld_RecibosProveedorFECHA_FACTURA = 'FECHA_FACTURA';
  fld_RecibosProveedorREFERENCIA_FACTURA_PROV = 'REFERENCIA_FACTURA_PROV';
  fld_RecibosProveedorFORMA_PAGO_FACTURA = 'FORMA_PAGO_FACTURA';
  fld_RecibosProveedorIMPORTE_FACTURA = 'IMPORTE_FACTURA';
  fld_RecibosProveedorID_PROVEEDOR = 'ID_PROVEEDOR';
  fld_RecibosProveedorNOMBRE_PROVEEDOR = 'NOMBRE_PROVEEDOR';
  fld_RecibosProveedorNIF_CIF_PROVEEDOR = 'NIF_CIF_PROVEEDOR';
  fld_RecibosProveedorENTIDAD_PROVEEDOR = 'ENTIDAD_PROVEEDOR';
  fld_RecibosProveedorSUCURSAL_PROVEEDOR = 'SUCURSAL_PROVEEDOR';
  fld_RecibosProveedorDC_PROVEEDOR = 'DC_PROVEEDOR';
  fld_RecibosProveedorCUENTA_PROVEEDOR = 'CUENTA_PROVEEDOR';
  fld_RecibosProveedorID_EMPRESA = 'ID_EMPRESA';
  fld_RecibosProveedorFECHA_ALTA = 'FECHA_ALTA';
  fld_RecibosProveedorFECHA_MODIFICACION = 'FECHA_MODIFICACION';
  fld_RecibosProveedorUSUARIO = 'USUARIO';

  { RecibosProveedor field indexes }
  idx_RecibosProveedorID = 0;
  idx_RecibosProveedorID_RECIBO_COMPENSADO = 1;
  idx_RecibosProveedorREFERENCIA_REC_COMPENSADO = 2;
  idx_RecibosProveedorREFERENCIA = 3;
  idx_RecibosProveedorREFERENCIA_PROVEEDOR = 4;
  idx_RecibosProveedorSITUACION = 5;
  idx_RecibosProveedorID_FACTURA = 6;
  idx_RecibosProveedorID_REMESA = 7;
  idx_RecibosProveedorREFERENCIA_REMESA = 8;
  idx_RecibosProveedorFECHA_EMISION = 9;
  idx_RecibosProveedorFECHA_VENCIMIENTO = 10;
  idx_RecibosProveedorDESCRIPCION = 11;
  idx_RecibosProveedorOBSERVACIONES = 12;
  idx_RecibosProveedorIMPORTE = 13;
  idx_RecibosProveedorOTROS_GASTOS = 14;
  idx_RecibosProveedorIMPORTE_TOTAL = 15;
  idx_RecibosProveedorFECHA_FACTURA = 16;
  idx_RecibosProveedorREFERENCIA_FACTURA_PROV = 17;
  idx_RecibosProveedorFORMA_PAGO_FACTURA = 18;
  idx_RecibosProveedorIMPORTE_FACTURA = 19;
  idx_RecibosProveedorID_PROVEEDOR = 20;
  idx_RecibosProveedorNOMBRE_PROVEEDOR = 21;
  idx_RecibosProveedorNIF_CIF_PROVEEDOR = 22;
  idx_RecibosProveedorENTIDAD_PROVEEDOR = 23;
  idx_RecibosProveedorSUCURSAL_PROVEEDOR = 24;
  idx_RecibosProveedorDC_PROVEEDOR = 25;
  idx_RecibosProveedorCUENTA_PROVEEDOR = 26;
  idx_RecibosProveedorID_EMPRESA = 27;
  idx_RecibosProveedorFECHA_ALTA = 28;
  idx_RecibosProveedorFECHA_MODIFICACION = 29;
  idx_RecibosProveedorUSUARIO = 30;

  { RecibosProveedor_Refresh fields }
  fld_RecibosProveedor_RefreshID = 'ID';
  fld_RecibosProveedor_RefreshID_RECIBO_COMPENSADO = 'ID_RECIBO_COMPENSADO';
  fld_RecibosProveedor_RefreshREFERENCIA_REC_COMPENSADO = 'REFERENCIA_REC_COMPENSADO';
  fld_RecibosProveedor_RefreshREFERENCIA = 'REFERENCIA';
  fld_RecibosProveedor_RefreshREFERENCIA_PROVEEDOR = 'REFERENCIA_PROVEEDOR';
  fld_RecibosProveedor_RefreshSITUACION = 'SITUACION';
  fld_RecibosProveedor_RefreshID_FACTURA = 'ID_FACTURA';
  fld_RecibosProveedor_RefreshID_REMESA = 'ID_REMESA';
  fld_RecibosProveedor_RefreshREFERENCIA_REMESA = 'REFERENCIA_REMESA';
  fld_RecibosProveedor_RefreshFECHA_EMISION = 'FECHA_EMISION';
  fld_RecibosProveedor_RefreshFECHA_VENCIMIENTO = 'FECHA_VENCIMIENTO';
  fld_RecibosProveedor_RefreshDESCRIPCION = 'DESCRIPCION';
  fld_RecibosProveedor_RefreshOBSERVACIONES = 'OBSERVACIONES';
  fld_RecibosProveedor_RefreshIMPORTE = 'IMPORTE';
  fld_RecibosProveedor_RefreshOTROS_GASTOS = 'OTROS_GASTOS';
  fld_RecibosProveedor_RefreshIMPORTE_TOTAL = 'IMPORTE_TOTAL';
  fld_RecibosProveedor_RefreshFECHA_FACTURA = 'FECHA_FACTURA';
  fld_RecibosProveedor_RefreshREFERENCIA_FACTURA_PROV = 'REFERENCIA_FACTURA_PROV';
  fld_RecibosProveedor_RefreshFORMA_PAGO_FACTURA = 'FORMA_PAGO_FACTURA';
  fld_RecibosProveedor_RefreshIMPORTE_FACTURA = 'IMPORTE_FACTURA';
  fld_RecibosProveedor_RefreshID_PROVEEDOR = 'ID_PROVEEDOR';
  fld_RecibosProveedor_RefreshNOMBRE_PROVEEDOR = 'NOMBRE_PROVEEDOR';
  fld_RecibosProveedor_RefreshNIF_CIF_PROVEEDOR = 'NIF_CIF_PROVEEDOR';
  fld_RecibosProveedor_RefreshENTIDAD_PROVEEDOR = 'ENTIDAD_PROVEEDOR';
  fld_RecibosProveedor_RefreshSUCURSAL_PROVEEDOR = 'SUCURSAL_PROVEEDOR';
  fld_RecibosProveedor_RefreshDC_PROVEEDOR = 'DC_PROVEEDOR';
  fld_RecibosProveedor_RefreshCUENTA_PROVEEDOR = 'CUENTA_PROVEEDOR';
  fld_RecibosProveedor_RefreshID_EMPRESA = 'ID_EMPRESA';
  fld_RecibosProveedor_RefreshFECHA_ALTA = 'FECHA_ALTA';
  fld_RecibosProveedor_RefreshFECHA_MODIFICACION = 'FECHA_MODIFICACION';
  fld_RecibosProveedor_RefreshUSUARIO = 'USUARIO';

  { RecibosProveedor_Refresh field indexes }
  idx_RecibosProveedor_RefreshID = 0;
  idx_RecibosProveedor_RefreshID_RECIBO_COMPENSADO = 1;
  idx_RecibosProveedor_RefreshREFERENCIA_REC_COMPENSADO = 2;
  idx_RecibosProveedor_RefreshREFERENCIA = 3;
  idx_RecibosProveedor_RefreshREFERENCIA_PROVEEDOR = 4;
  idx_RecibosProveedor_RefreshSITUACION = 5;
  idx_RecibosProveedor_RefreshID_FACTURA = 6;
  idx_RecibosProveedor_RefreshID_REMESA = 7;
  idx_RecibosProveedor_RefreshREFERENCIA_REMESA = 8;
  idx_RecibosProveedor_RefreshFECHA_EMISION = 9;
  idx_RecibosProveedor_RefreshFECHA_VENCIMIENTO = 10;
  idx_RecibosProveedor_RefreshDESCRIPCION = 11;
  idx_RecibosProveedor_RefreshOBSERVACIONES = 12;
  idx_RecibosProveedor_RefreshIMPORTE = 13;
  idx_RecibosProveedor_RefreshOTROS_GASTOS = 14;
  idx_RecibosProveedor_RefreshIMPORTE_TOTAL = 15;
  idx_RecibosProveedor_RefreshFECHA_FACTURA = 16;
  idx_RecibosProveedor_RefreshREFERENCIA_FACTURA_PROV = 17;
  idx_RecibosProveedor_RefreshFORMA_PAGO_FACTURA = 18;
  idx_RecibosProveedor_RefreshIMPORTE_FACTURA = 19;
  idx_RecibosProveedor_RefreshID_PROVEEDOR = 20;
  idx_RecibosProveedor_RefreshNOMBRE_PROVEEDOR = 21;
  idx_RecibosProveedor_RefreshNIF_CIF_PROVEEDOR = 22;
  idx_RecibosProveedor_RefreshENTIDAD_PROVEEDOR = 23;
  idx_RecibosProveedor_RefreshSUCURSAL_PROVEEDOR = 24;
  idx_RecibosProveedor_RefreshDC_PROVEEDOR = 25;
  idx_RecibosProveedor_RefreshCUENTA_PROVEEDOR = 26;
  idx_RecibosProveedor_RefreshID_EMPRESA = 27;
  idx_RecibosProveedor_RefreshFECHA_ALTA = 28;
  idx_RecibosProveedor_RefreshFECHA_MODIFICACION = 29;
  idx_RecibosProveedor_RefreshUSUARIO = 30;

  { PagosProveedor fields }
  fld_PagosProveedorID = 'ID';
  fld_PagosProveedorID_RECIBO = 'ID_RECIBO';
  fld_PagosProveedorTIPO = 'TIPO';
  fld_PagosProveedorFECHA_PAGO = 'FECHA_PAGO';
  fld_PagosProveedorTITULAR = 'TITULAR';
  fld_PagosProveedorENTIDAD = 'ENTIDAD';
  fld_PagosProveedorSUCURSAL = 'SUCURSAL';
  fld_PagosProveedorDC = 'DC';
  fld_PagosProveedorCUENTA = 'CUENTA';
  fld_PagosProveedorFECHA_ALTA = 'FECHA_ALTA';
  fld_PagosProveedorFECHA_MODIFICACION = 'FECHA_MODIFICACION';
  fld_PagosProveedorUSUARIO = 'USUARIO';

  { PagosProveedor field indexes }
  idx_PagosProveedorID = 0;
  idx_PagosProveedorID_RECIBO = 1;
  idx_PagosProveedorTIPO = 2;
  idx_PagosProveedorFECHA_PAGO = 3;
  idx_PagosProveedorTITULAR = 4;
  idx_PagosProveedorENTIDAD = 5;
  idx_PagosProveedorSUCURSAL = 6;
  idx_PagosProveedorDC = 7;
  idx_PagosProveedorCUENTA = 8;
  idx_PagosProveedorFECHA_ALTA = 9;
  idx_PagosProveedorFECHA_MODIFICACION = 10;
  idx_PagosProveedorUSUARIO = 11;

type
  { IRecibosCompensadosProv }
  IRecibosCompensadosProv = interface(IDAStronglyTypedDataTable)
  ['{A73311E9-6383-4A33-B880-1E50E74E7119}']
    { Property getters and setters }
    function GetIDValue: Integer;
    procedure SetIDValue(const aValue: Integer);
    function GetID_RECIBO_COMPENSADOValue: Integer;
    procedure SetID_RECIBO_COMPENSADOValue(const aValue: Integer);
    function GetREFERENCIAValue: String;
    procedure SetREFERENCIAValue(const aValue: String);
    function GetSITUACIONValue: String;
    procedure SetSITUACIONValue(const aValue: String);
    function GetID_FACTURAValue: Integer;
    procedure SetID_FACTURAValue(const aValue: Integer);
    function GetFECHA_EMISIONValue: DateTime;
    procedure SetFECHA_EMISIONValue(const aValue: DateTime);
    function GetFECHA_VENCIMIENTOValue: DateTime;
    procedure SetFECHA_VENCIMIENTOValue(const aValue: DateTime);
    function GetIMPORTEValue: Float;
    procedure SetIMPORTEValue(const aValue: Float);
    function GetOTROS_GASTOSValue: Float;
    procedure SetOTROS_GASTOSValue(const aValue: Float);
    function GetIMPORTE_TOTALValue: Float;
    procedure SetIMPORTE_TOTALValue(const aValue: Float);
    function GetFECHA_FACTURAValue: DateTime;
    procedure SetFECHA_FACTURAValue(const aValue: DateTime);
    function GetIMPORTE_FACTURAValue: Float;
    procedure SetIMPORTE_FACTURAValue(const aValue: Float);
    function GetID_PROVEEDORValue: Integer;
    procedure SetID_PROVEEDORValue(const aValue: Integer);
    function GetNOMBRE_PROVEEDORValue: String;
    procedure SetNOMBRE_PROVEEDORValue(const aValue: String);
    function GetNIF_CIF_PROVEEDORValue: String;
    procedure SetNIF_CIF_PROVEEDORValue(const aValue: String);
    function GetID_EMPRESAValue: Integer;
    procedure SetID_EMPRESAValue(const aValue: Integer);


    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_RECIBO_COMPENSADO: Integer read GetID_RECIBO_COMPENSADOValue write SetID_RECIBO_COMPENSADOValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property SITUACION: String read GetSITUACIONValue write SetSITUACIONValue;
    property ID_FACTURA: Integer read GetID_FACTURAValue write SetID_FACTURAValue;
    property FECHA_EMISION: DateTime read GetFECHA_EMISIONValue write SetFECHA_EMISIONValue;
    property FECHA_VENCIMIENTO: DateTime read GetFECHA_VENCIMIENTOValue write SetFECHA_VENCIMIENTOValue;
    property IMPORTE: Float read GetIMPORTEValue write SetIMPORTEValue;
    property OTROS_GASTOS: Float read GetOTROS_GASTOSValue write SetOTROS_GASTOSValue;
    property IMPORTE_TOTAL: Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property FECHA_FACTURA: DateTime read GetFECHA_FACTURAValue write SetFECHA_FACTURAValue;
    property IMPORTE_FACTURA: Float read GetIMPORTE_FACTURAValue write SetIMPORTE_FACTURAValue;
    property ID_PROVEEDOR: Integer read GetID_PROVEEDORValue write SetID_PROVEEDORValue;
    property NOMBRE_PROVEEDOR: String read GetNOMBRE_PROVEEDORValue write SetNOMBRE_PROVEEDORValue;
    property NIF_CIF_PROVEEDOR: String read GetNIF_CIF_PROVEEDORValue write SetNIF_CIF_PROVEEDORValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
  end;

  { TRecibosCompensadosProvDataTableRules }
  TRecibosCompensadosProvDataTableRules = class(TDADataTableRules, IRecibosCompensadosProv)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_RECIBO_COMPENSADOValue: Integer; virtual;
    procedure SetID_RECIBO_COMPENSADOValue(const aValue: Integer); virtual;
    function GetREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetSITUACIONValue: String; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    function GetID_FACTURAValue: Integer; virtual;
    procedure SetID_FACTURAValue(const aValue: Integer); virtual;
    function GetFECHA_EMISIONValue: DateTime; virtual;
    procedure SetFECHA_EMISIONValue(const aValue: DateTime); virtual;
    function GetFECHA_VENCIMIENTOValue: DateTime; virtual;
    procedure SetFECHA_VENCIMIENTOValue(const aValue: DateTime); virtual;
    function GetIMPORTEValue: Float; virtual;
    procedure SetIMPORTEValue(const aValue: Float); virtual;
    function GetOTROS_GASTOSValue: Float; virtual;
    procedure SetOTROS_GASTOSValue(const aValue: Float); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetFECHA_FACTURAValue: DateTime; virtual;
    procedure SetFECHA_FACTURAValue(const aValue: DateTime); virtual;
    function GetIMPORTE_FACTURAValue: Float; virtual;
    procedure SetIMPORTE_FACTURAValue(const aValue: Float); virtual;
    function GetID_PROVEEDORValue: Integer; virtual;
    procedure SetID_PROVEEDORValue(const aValue: Integer); virtual;
    function GetNOMBRE_PROVEEDORValue: String; virtual;
    procedure SetNOMBRE_PROVEEDORValue(const aValue: String); virtual;
    function GetNIF_CIF_PROVEEDORValue: String; virtual;
    procedure SetNIF_CIF_PROVEEDORValue(const aValue: String); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;

    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_RECIBO_COMPENSADO: Integer read GetID_RECIBO_COMPENSADOValue write SetID_RECIBO_COMPENSADOValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property SITUACION: String read GetSITUACIONValue write SetSITUACIONValue;
    property ID_FACTURA: Integer read GetID_FACTURAValue write SetID_FACTURAValue;
    property FECHA_EMISION: DateTime read GetFECHA_EMISIONValue write SetFECHA_EMISIONValue;
    property FECHA_VENCIMIENTO: DateTime read GetFECHA_VENCIMIENTOValue write SetFECHA_VENCIMIENTOValue;
    property IMPORTE: Float read GetIMPORTEValue write SetIMPORTEValue;
    property OTROS_GASTOS: Float read GetOTROS_GASTOSValue write SetOTROS_GASTOSValue;
    property IMPORTE_TOTAL: Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property FECHA_FACTURA: DateTime read GetFECHA_FACTURAValue write SetFECHA_FACTURAValue;
    property IMPORTE_FACTURA: Float read GetIMPORTE_FACTURAValue write SetIMPORTE_FACTURAValue;
    property ID_PROVEEDOR: Integer read GetID_PROVEEDORValue write SetID_PROVEEDORValue;
    property NOMBRE_PROVEEDOR: String read GetNOMBRE_PROVEEDORValue write SetNOMBRE_PROVEEDORValue;
    property NIF_CIF_PROVEEDOR: String read GetNIF_CIF_PROVEEDORValue write SetNIF_CIF_PROVEEDORValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

  { IRecibosProveedor }
  IRecibosProveedor = interface(IDAStronglyTypedDataTable)
  ['{BBBE2FC9-D743-448A-A741-C9C1919A0618}']
    { Property getters and setters }
    function GetIDValue: Integer;
    procedure SetIDValue(const aValue: Integer);
    function GetID_RECIBO_COMPENSADOValue: Integer;
    procedure SetID_RECIBO_COMPENSADOValue(const aValue: Integer);
    function GetREFERENCIA_REC_COMPENSADOValue: String;
    procedure SetREFERENCIA_REC_COMPENSADOValue(const aValue: String);
    function GetREFERENCIAValue: String;
    procedure SetREFERENCIAValue(const aValue: String);
    function GetREFERENCIA_PROVEEDORValue: String;
    procedure SetREFERENCIA_PROVEEDORValue(const aValue: String);
    function GetSITUACIONValue: String;
    procedure SetSITUACIONValue(const aValue: String);
    function GetID_FACTURAValue: Integer;
    procedure SetID_FACTURAValue(const aValue: Integer);
    function GetID_REMESAValue: Integer;
    procedure SetID_REMESAValue(const aValue: Integer);
    function GetREFERENCIA_REMESAValue: String;
    procedure SetREFERENCIA_REMESAValue(const aValue: String);
    function GetFECHA_EMISIONValue: DateTime;
    procedure SetFECHA_EMISIONValue(const aValue: DateTime);
    function GetFECHA_VENCIMIENTOValue: DateTime;
    procedure SetFECHA_VENCIMIENTOValue(const aValue: DateTime);
    function GetDESCRIPCIONValue: String;
    procedure SetDESCRIPCIONValue(const aValue: String);
    function GetOBSERVACIONESValue: String;
    procedure SetOBSERVACIONESValue(const aValue: String);
    function GetIMPORTEValue: Currency;
    procedure SetIMPORTEValue(const aValue: Currency);
    function GetOTROS_GASTOSValue: Currency;
    procedure SetOTROS_GASTOSValue(const aValue: Currency);
    function GetIMPORTE_TOTALValue: Currency;
    procedure SetIMPORTE_TOTALValue(const aValue: Currency);
    function GetFECHA_FACTURAValue: DateTime;
    procedure SetFECHA_FACTURAValue(const aValue: DateTime);
    function GetREFERENCIA_FACTURA_PROVValue: String;
    procedure SetREFERENCIA_FACTURA_PROVValue(const aValue: String);
    function GetFORMA_PAGO_FACTURAValue: String;
    procedure SetFORMA_PAGO_FACTURAValue(const aValue: String);
    function GetIMPORTE_FACTURAValue: Currency;
    procedure SetIMPORTE_FACTURAValue(const aValue: Currency);
    function GetID_PROVEEDORValue: Integer;
    procedure SetID_PROVEEDORValue(const aValue: Integer);
    function GetNOMBRE_PROVEEDORValue: String;
    procedure SetNOMBRE_PROVEEDORValue(const aValue: String);
    function GetNIF_CIF_PROVEEDORValue: String;
    procedure SetNIF_CIF_PROVEEDORValue(const aValue: String);
    function GetENTIDAD_PROVEEDORValue: String;
    procedure SetENTIDAD_PROVEEDORValue(const aValue: String);
    function GetSUCURSAL_PROVEEDORValue: String;
    procedure SetSUCURSAL_PROVEEDORValue(const aValue: String);
    function GetDC_PROVEEDORValue: String;
    procedure SetDC_PROVEEDORValue(const aValue: String);
    function GetCUENTA_PROVEEDORValue: String;
    procedure SetCUENTA_PROVEEDORValue(const aValue: String);
    function GetID_EMPRESAValue: Integer;
    procedure SetID_EMPRESAValue(const aValue: Integer);
    function GetFECHA_ALTAValue: DateTime;
    procedure SetFECHA_ALTAValue(const aValue: DateTime);
    function GetFECHA_MODIFICACIONValue: DateTime;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime);
    function GetUSUARIOValue: String;
    procedure SetUSUARIOValue(const aValue: String);


    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_RECIBO_COMPENSADO: Integer read GetID_RECIBO_COMPENSADOValue write SetID_RECIBO_COMPENSADOValue;
    property REFERENCIA_REC_COMPENSADO: String read GetREFERENCIA_REC_COMPENSADOValue write SetREFERENCIA_REC_COMPENSADOValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIA_PROVEEDOR: String read GetREFERENCIA_PROVEEDORValue write SetREFERENCIA_PROVEEDORValue;
    property SITUACION: String read GetSITUACIONValue write SetSITUACIONValue;
    property ID_FACTURA: Integer read GetID_FACTURAValue write SetID_FACTURAValue;
    property ID_REMESA: Integer read GetID_REMESAValue write SetID_REMESAValue;
    property REFERENCIA_REMESA: String read GetREFERENCIA_REMESAValue write SetREFERENCIA_REMESAValue;
    property FECHA_EMISION: DateTime read GetFECHA_EMISIONValue write SetFECHA_EMISIONValue;
    property FECHA_VENCIMIENTO: DateTime read GetFECHA_VENCIMIENTOValue write SetFECHA_VENCIMIENTOValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property OBSERVACIONES: String read GetOBSERVACIONESValue write SetOBSERVACIONESValue;
    property IMPORTE: Currency read GetIMPORTEValue write SetIMPORTEValue;
    property OTROS_GASTOS: Currency read GetOTROS_GASTOSValue write SetOTROS_GASTOSValue;
    property IMPORTE_TOTAL: Currency read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property FECHA_FACTURA: DateTime read GetFECHA_FACTURAValue write SetFECHA_FACTURAValue;
    property REFERENCIA_FACTURA_PROV: String read GetREFERENCIA_FACTURA_PROVValue write SetREFERENCIA_FACTURA_PROVValue;
    property FORMA_PAGO_FACTURA: String read GetFORMA_PAGO_FACTURAValue write SetFORMA_PAGO_FACTURAValue;
    property IMPORTE_FACTURA: Currency read GetIMPORTE_FACTURAValue write SetIMPORTE_FACTURAValue;
    property ID_PROVEEDOR: Integer read GetID_PROVEEDORValue write SetID_PROVEEDORValue;
    property NOMBRE_PROVEEDOR: String read GetNOMBRE_PROVEEDORValue write SetNOMBRE_PROVEEDORValue;
    property NIF_CIF_PROVEEDOR: String read GetNIF_CIF_PROVEEDORValue write SetNIF_CIF_PROVEEDORValue;
    property ENTIDAD_PROVEEDOR: String read GetENTIDAD_PROVEEDORValue write SetENTIDAD_PROVEEDORValue;
    property SUCURSAL_PROVEEDOR: String read GetSUCURSAL_PROVEEDORValue write SetSUCURSAL_PROVEEDORValue;
    property DC_PROVEEDOR: String read GetDC_PROVEEDORValue write SetDC_PROVEEDORValue;
    property CUENTA_PROVEEDOR: String read GetCUENTA_PROVEEDORValue write SetCUENTA_PROVEEDORValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
  end;

  { TRecibosProveedorDataTableRules }
  TRecibosProveedorDataTableRules = class(TDADataTableRules, IRecibosProveedor)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_RECIBO_COMPENSADOValue: Integer; virtual;
    procedure SetID_RECIBO_COMPENSADOValue(const aValue: Integer); virtual;
    function GetREFERENCIA_REC_COMPENSADOValue: String; virtual;
    procedure SetREFERENCIA_REC_COMPENSADOValue(const aValue: String); virtual;
    function GetREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetREFERENCIA_PROVEEDORValue: String; virtual;
    procedure SetREFERENCIA_PROVEEDORValue(const aValue: String); virtual;
    function GetSITUACIONValue: String; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    function GetID_FACTURAValue: Integer; virtual;
    procedure SetID_FACTURAValue(const aValue: Integer); virtual;
    function GetID_REMESAValue: Integer; virtual;
    procedure SetID_REMESAValue(const aValue: Integer); virtual;
    function GetREFERENCIA_REMESAValue: String; virtual;
    procedure SetREFERENCIA_REMESAValue(const aValue: String); virtual;
    function GetFECHA_EMISIONValue: DateTime; virtual;
    procedure SetFECHA_EMISIONValue(const aValue: DateTime); virtual;
    function GetFECHA_VENCIMIENTOValue: DateTime; virtual;
    procedure SetFECHA_VENCIMIENTOValue(const aValue: DateTime); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetOBSERVACIONESValue: String; virtual;
    procedure SetOBSERVACIONESValue(const aValue: String); virtual;
    function GetIMPORTEValue: Currency; virtual;
    procedure SetIMPORTEValue(const aValue: Currency); virtual;
    function GetOTROS_GASTOSValue: Currency; virtual;
    procedure SetOTROS_GASTOSValue(const aValue: Currency); virtual;
    function GetIMPORTE_TOTALValue: Currency; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Currency); virtual;
    function GetFECHA_FACTURAValue: DateTime; virtual;
    procedure SetFECHA_FACTURAValue(const aValue: DateTime); virtual;
    function GetREFERENCIA_FACTURA_PROVValue: String; virtual;
    procedure SetREFERENCIA_FACTURA_PROVValue(const aValue: String); virtual;
    function GetFORMA_PAGO_FACTURAValue: String; virtual;
    procedure SetFORMA_PAGO_FACTURAValue(const aValue: String); virtual;
    function GetIMPORTE_FACTURAValue: Currency; virtual;
    procedure SetIMPORTE_FACTURAValue(const aValue: Currency); virtual;
    function GetID_PROVEEDORValue: Integer; virtual;
    procedure SetID_PROVEEDORValue(const aValue: Integer); virtual;
    function GetNOMBRE_PROVEEDORValue: String; virtual;
    procedure SetNOMBRE_PROVEEDORValue(const aValue: String); virtual;
    function GetNIF_CIF_PROVEEDORValue: String; virtual;
    procedure SetNIF_CIF_PROVEEDORValue(const aValue: String); virtual;
    function GetENTIDAD_PROVEEDORValue: String; virtual;
    procedure SetENTIDAD_PROVEEDORValue(const aValue: String); virtual;
    function GetSUCURSAL_PROVEEDORValue: String; virtual;
    procedure SetSUCURSAL_PROVEEDORValue(const aValue: String); virtual;
    function GetDC_PROVEEDORValue: String; virtual;
    procedure SetDC_PROVEEDORValue(const aValue: String); virtual;
    function GetCUENTA_PROVEEDORValue: String; virtual;
    procedure SetCUENTA_PROVEEDORValue(const aValue: String); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;

    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_RECIBO_COMPENSADO: Integer read GetID_RECIBO_COMPENSADOValue write SetID_RECIBO_COMPENSADOValue;
    property REFERENCIA_REC_COMPENSADO: String read GetREFERENCIA_REC_COMPENSADOValue write SetREFERENCIA_REC_COMPENSADOValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIA_PROVEEDOR: String read GetREFERENCIA_PROVEEDORValue write SetREFERENCIA_PROVEEDORValue;
    property SITUACION: String read GetSITUACIONValue write SetSITUACIONValue;
    property ID_FACTURA: Integer read GetID_FACTURAValue write SetID_FACTURAValue;
    property ID_REMESA: Integer read GetID_REMESAValue write SetID_REMESAValue;
    property REFERENCIA_REMESA: String read GetREFERENCIA_REMESAValue write SetREFERENCIA_REMESAValue;
    property FECHA_EMISION: DateTime read GetFECHA_EMISIONValue write SetFECHA_EMISIONValue;
    property FECHA_VENCIMIENTO: DateTime read GetFECHA_VENCIMIENTOValue write SetFECHA_VENCIMIENTOValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property OBSERVACIONES: String read GetOBSERVACIONESValue write SetOBSERVACIONESValue;
    property IMPORTE: Currency read GetIMPORTEValue write SetIMPORTEValue;
    property OTROS_GASTOS: Currency read GetOTROS_GASTOSValue write SetOTROS_GASTOSValue;
    property IMPORTE_TOTAL: Currency read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property FECHA_FACTURA: DateTime read GetFECHA_FACTURAValue write SetFECHA_FACTURAValue;
    property REFERENCIA_FACTURA_PROV: String read GetREFERENCIA_FACTURA_PROVValue write SetREFERENCIA_FACTURA_PROVValue;
    property FORMA_PAGO_FACTURA: String read GetFORMA_PAGO_FACTURAValue write SetFORMA_PAGO_FACTURAValue;
    property IMPORTE_FACTURA: Currency read GetIMPORTE_FACTURAValue write SetIMPORTE_FACTURAValue;
    property ID_PROVEEDOR: Integer read GetID_PROVEEDORValue write SetID_PROVEEDORValue;
    property NOMBRE_PROVEEDOR: String read GetNOMBRE_PROVEEDORValue write SetNOMBRE_PROVEEDORValue;
    property NIF_CIF_PROVEEDOR: String read GetNIF_CIF_PROVEEDORValue write SetNIF_CIF_PROVEEDORValue;
    property ENTIDAD_PROVEEDOR: String read GetENTIDAD_PROVEEDORValue write SetENTIDAD_PROVEEDORValue;
    property SUCURSAL_PROVEEDOR: String read GetSUCURSAL_PROVEEDORValue write SetSUCURSAL_PROVEEDORValue;
    property DC_PROVEEDOR: String read GetDC_PROVEEDORValue write SetDC_PROVEEDORValue;
    property CUENTA_PROVEEDOR: String read GetCUENTA_PROVEEDORValue write SetCUENTA_PROVEEDORValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

  { IRecibosProveedor_Refresh }
  IRecibosProveedor_Refresh = interface(IDAStronglyTypedDataTable)
  ['{B98899CB-80FA-49C3-A650-463AEA8A49A6}']
    { Property getters and setters }
    function GetIDValue: Integer;
    procedure SetIDValue(const aValue: Integer);
    function GetID_RECIBO_COMPENSADOValue: Integer;
    procedure SetID_RECIBO_COMPENSADOValue(const aValue: Integer);
    function GetREFERENCIA_REC_COMPENSADOValue: String;
    procedure SetREFERENCIA_REC_COMPENSADOValue(const aValue: String);
    function GetREFERENCIAValue: String;
    procedure SetREFERENCIAValue(const aValue: String);
    function GetREFERENCIA_PROVEEDORValue: String;
    procedure SetREFERENCIA_PROVEEDORValue(const aValue: String);
    function GetSITUACIONValue: String;
    procedure SetSITUACIONValue(const aValue: String);
    function GetID_FACTURAValue: Integer;
    procedure SetID_FACTURAValue(const aValue: Integer);
    function GetID_REMESAValue: Integer;
    procedure SetID_REMESAValue(const aValue: Integer);
    function GetREFERENCIA_REMESAValue: String;
    procedure SetREFERENCIA_REMESAValue(const aValue: String);
    function GetFECHA_EMISIONValue: DateTime;
    procedure SetFECHA_EMISIONValue(const aValue: DateTime);
    function GetFECHA_VENCIMIENTOValue: DateTime;
    procedure SetFECHA_VENCIMIENTOValue(const aValue: DateTime);
    function GetDESCRIPCIONValue: String;
    procedure SetDESCRIPCIONValue(const aValue: String);
    function GetOBSERVACIONESValue: String;
    procedure SetOBSERVACIONESValue(const aValue: String);
    function GetIMPORTEValue: Currency;
    procedure SetIMPORTEValue(const aValue: Currency);
    function GetOTROS_GASTOSValue: Currency;
    procedure SetOTROS_GASTOSValue(const aValue: Currency);
    function GetIMPORTE_TOTALValue: Currency;
    procedure SetIMPORTE_TOTALValue(const aValue: Currency);
    function GetFECHA_FACTURAValue: DateTime;
    procedure SetFECHA_FACTURAValue(const aValue: DateTime);
    function GetREFERENCIA_FACTURA_PROVValue: String;
    procedure SetREFERENCIA_FACTURA_PROVValue(const aValue: String);
    function GetFORMA_PAGO_FACTURAValue: String;
    procedure SetFORMA_PAGO_FACTURAValue(const aValue: String);
    function GetIMPORTE_FACTURAValue: Currency;
    procedure SetIMPORTE_FACTURAValue(const aValue: Currency);
    function GetID_PROVEEDORValue: Integer;
    procedure SetID_PROVEEDORValue(const aValue: Integer);
    function GetNOMBRE_PROVEEDORValue: String;
    procedure SetNOMBRE_PROVEEDORValue(const aValue: String);
    function GetNIF_CIF_PROVEEDORValue: String;
    procedure SetNIF_CIF_PROVEEDORValue(const aValue: String);
    function GetENTIDAD_PROVEEDORValue: String;
    procedure SetENTIDAD_PROVEEDORValue(const aValue: String);
    function GetSUCURSAL_PROVEEDORValue: String;
    procedure SetSUCURSAL_PROVEEDORValue(const aValue: String);
    function GetDC_PROVEEDORValue: String;
    procedure SetDC_PROVEEDORValue(const aValue: String);
    function GetCUENTA_PROVEEDORValue: String;
    procedure SetCUENTA_PROVEEDORValue(const aValue: String);
    function GetID_EMPRESAValue: Integer;
    procedure SetID_EMPRESAValue(const aValue: Integer);
    function GetFECHA_ALTAValue: DateTime;
    procedure SetFECHA_ALTAValue(const aValue: DateTime);
    function GetFECHA_MODIFICACIONValue: DateTime;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime);
    function GetUSUARIOValue: String;
    procedure SetUSUARIOValue(const aValue: String);


    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_RECIBO_COMPENSADO: Integer read GetID_RECIBO_COMPENSADOValue write SetID_RECIBO_COMPENSADOValue;
    property REFERENCIA_REC_COMPENSADO: String read GetREFERENCIA_REC_COMPENSADOValue write SetREFERENCIA_REC_COMPENSADOValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIA_PROVEEDOR: String read GetREFERENCIA_PROVEEDORValue write SetREFERENCIA_PROVEEDORValue;
    property SITUACION: String read GetSITUACIONValue write SetSITUACIONValue;
    property ID_FACTURA: Integer read GetID_FACTURAValue write SetID_FACTURAValue;
    property ID_REMESA: Integer read GetID_REMESAValue write SetID_REMESAValue;
    property REFERENCIA_REMESA: String read GetREFERENCIA_REMESAValue write SetREFERENCIA_REMESAValue;
    property FECHA_EMISION: DateTime read GetFECHA_EMISIONValue write SetFECHA_EMISIONValue;
    property FECHA_VENCIMIENTO: DateTime read GetFECHA_VENCIMIENTOValue write SetFECHA_VENCIMIENTOValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property OBSERVACIONES: String read GetOBSERVACIONESValue write SetOBSERVACIONESValue;
    property IMPORTE: Currency read GetIMPORTEValue write SetIMPORTEValue;
    property OTROS_GASTOS: Currency read GetOTROS_GASTOSValue write SetOTROS_GASTOSValue;
    property IMPORTE_TOTAL: Currency read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property FECHA_FACTURA: DateTime read GetFECHA_FACTURAValue write SetFECHA_FACTURAValue;
    property REFERENCIA_FACTURA_PROV: String read GetREFERENCIA_FACTURA_PROVValue write SetREFERENCIA_FACTURA_PROVValue;
    property FORMA_PAGO_FACTURA: String read GetFORMA_PAGO_FACTURAValue write SetFORMA_PAGO_FACTURAValue;
    property IMPORTE_FACTURA: Currency read GetIMPORTE_FACTURAValue write SetIMPORTE_FACTURAValue;
    property ID_PROVEEDOR: Integer read GetID_PROVEEDORValue write SetID_PROVEEDORValue;
    property NOMBRE_PROVEEDOR: String read GetNOMBRE_PROVEEDORValue write SetNOMBRE_PROVEEDORValue;
    property NIF_CIF_PROVEEDOR: String read GetNIF_CIF_PROVEEDORValue write SetNIF_CIF_PROVEEDORValue;
    property ENTIDAD_PROVEEDOR: String read GetENTIDAD_PROVEEDORValue write SetENTIDAD_PROVEEDORValue;
    property SUCURSAL_PROVEEDOR: String read GetSUCURSAL_PROVEEDORValue write SetSUCURSAL_PROVEEDORValue;
    property DC_PROVEEDOR: String read GetDC_PROVEEDORValue write SetDC_PROVEEDORValue;
    property CUENTA_PROVEEDOR: String read GetCUENTA_PROVEEDORValue write SetCUENTA_PROVEEDORValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
  end;

  { TRecibosProveedor_RefreshDataTableRules }
  TRecibosProveedor_RefreshDataTableRules = class(TDADataTableRules, IRecibosProveedor_Refresh)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_RECIBO_COMPENSADOValue: Integer; virtual;
    procedure SetID_RECIBO_COMPENSADOValue(const aValue: Integer); virtual;
    function GetREFERENCIA_REC_COMPENSADOValue: String; virtual;
    procedure SetREFERENCIA_REC_COMPENSADOValue(const aValue: String); virtual;
    function GetREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetREFERENCIA_PROVEEDORValue: String; virtual;
    procedure SetREFERENCIA_PROVEEDORValue(const aValue: String); virtual;
    function GetSITUACIONValue: String; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    function GetID_FACTURAValue: Integer; virtual;
    procedure SetID_FACTURAValue(const aValue: Integer); virtual;
    function GetID_REMESAValue: Integer; virtual;
    procedure SetID_REMESAValue(const aValue: Integer); virtual;
    function GetREFERENCIA_REMESAValue: String; virtual;
    procedure SetREFERENCIA_REMESAValue(const aValue: String); virtual;
    function GetFECHA_EMISIONValue: DateTime; virtual;
    procedure SetFECHA_EMISIONValue(const aValue: DateTime); virtual;
    function GetFECHA_VENCIMIENTOValue: DateTime; virtual;
    procedure SetFECHA_VENCIMIENTOValue(const aValue: DateTime); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetOBSERVACIONESValue: String; virtual;
    procedure SetOBSERVACIONESValue(const aValue: String); virtual;
    function GetIMPORTEValue: Currency; virtual;
    procedure SetIMPORTEValue(const aValue: Currency); virtual;
    function GetOTROS_GASTOSValue: Currency; virtual;
    procedure SetOTROS_GASTOSValue(const aValue: Currency); virtual;
    function GetIMPORTE_TOTALValue: Currency; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Currency); virtual;
    function GetFECHA_FACTURAValue: DateTime; virtual;
    procedure SetFECHA_FACTURAValue(const aValue: DateTime); virtual;
    function GetREFERENCIA_FACTURA_PROVValue: String; virtual;
    procedure SetREFERENCIA_FACTURA_PROVValue(const aValue: String); virtual;
    function GetFORMA_PAGO_FACTURAValue: String; virtual;
    procedure SetFORMA_PAGO_FACTURAValue(const aValue: String); virtual;
    function GetIMPORTE_FACTURAValue: Currency; virtual;
    procedure SetIMPORTE_FACTURAValue(const aValue: Currency); virtual;
    function GetID_PROVEEDORValue: Integer; virtual;
    procedure SetID_PROVEEDORValue(const aValue: Integer); virtual;
    function GetNOMBRE_PROVEEDORValue: String; virtual;
    procedure SetNOMBRE_PROVEEDORValue(const aValue: String); virtual;
    function GetNIF_CIF_PROVEEDORValue: String; virtual;
    procedure SetNIF_CIF_PROVEEDORValue(const aValue: String); virtual;
    function GetENTIDAD_PROVEEDORValue: String; virtual;
    procedure SetENTIDAD_PROVEEDORValue(const aValue: String); virtual;
    function GetSUCURSAL_PROVEEDORValue: String; virtual;
    procedure SetSUCURSAL_PROVEEDORValue(const aValue: String); virtual;
    function GetDC_PROVEEDORValue: String; virtual;
    procedure SetDC_PROVEEDORValue(const aValue: String); virtual;
    function GetCUENTA_PROVEEDORValue: String; virtual;
    procedure SetCUENTA_PROVEEDORValue(const aValue: String); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;

    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_RECIBO_COMPENSADO: Integer read GetID_RECIBO_COMPENSADOValue write SetID_RECIBO_COMPENSADOValue;
    property REFERENCIA_REC_COMPENSADO: String read GetREFERENCIA_REC_COMPENSADOValue write SetREFERENCIA_REC_COMPENSADOValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIA_PROVEEDOR: String read GetREFERENCIA_PROVEEDORValue write SetREFERENCIA_PROVEEDORValue;
    property SITUACION: String read GetSITUACIONValue write SetSITUACIONValue;
    property ID_FACTURA: Integer read GetID_FACTURAValue write SetID_FACTURAValue;
    property ID_REMESA: Integer read GetID_REMESAValue write SetID_REMESAValue;
    property REFERENCIA_REMESA: String read GetREFERENCIA_REMESAValue write SetREFERENCIA_REMESAValue;
    property FECHA_EMISION: DateTime read GetFECHA_EMISIONValue write SetFECHA_EMISIONValue;
    property FECHA_VENCIMIENTO: DateTime read GetFECHA_VENCIMIENTOValue write SetFECHA_VENCIMIENTOValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property OBSERVACIONES: String read GetOBSERVACIONESValue write SetOBSERVACIONESValue;
    property IMPORTE: Currency read GetIMPORTEValue write SetIMPORTEValue;
    property OTROS_GASTOS: Currency read GetOTROS_GASTOSValue write SetOTROS_GASTOSValue;
    property IMPORTE_TOTAL: Currency read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property FECHA_FACTURA: DateTime read GetFECHA_FACTURAValue write SetFECHA_FACTURAValue;
    property REFERENCIA_FACTURA_PROV: String read GetREFERENCIA_FACTURA_PROVValue write SetREFERENCIA_FACTURA_PROVValue;
    property FORMA_PAGO_FACTURA: String read GetFORMA_PAGO_FACTURAValue write SetFORMA_PAGO_FACTURAValue;
    property IMPORTE_FACTURA: Currency read GetIMPORTE_FACTURAValue write SetIMPORTE_FACTURAValue;
    property ID_PROVEEDOR: Integer read GetID_PROVEEDORValue write SetID_PROVEEDORValue;
    property NOMBRE_PROVEEDOR: String read GetNOMBRE_PROVEEDORValue write SetNOMBRE_PROVEEDORValue;
    property NIF_CIF_PROVEEDOR: String read GetNIF_CIF_PROVEEDORValue write SetNIF_CIF_PROVEEDORValue;
    property ENTIDAD_PROVEEDOR: String read GetENTIDAD_PROVEEDORValue write SetENTIDAD_PROVEEDORValue;
    property SUCURSAL_PROVEEDOR: String read GetSUCURSAL_PROVEEDORValue write SetSUCURSAL_PROVEEDORValue;
    property DC_PROVEEDOR: String read GetDC_PROVEEDORValue write SetDC_PROVEEDORValue;
    property CUENTA_PROVEEDOR: String read GetCUENTA_PROVEEDORValue write SetCUENTA_PROVEEDORValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

  { IPagosProveedor }
  IPagosProveedor = interface(IDAStronglyTypedDataTable)
  ['{81F0AAB6-D43A-4832-9A2F-D4F8C013F6FA}']
    { Property getters and setters }
    function GetIDValue: Integer;
    procedure SetIDValue(const aValue: Integer);
    function GetID_RECIBOValue: Integer;
    procedure SetID_RECIBOValue(const aValue: Integer);
    function GetTIPOValue: String;
    procedure SetTIPOValue(const aValue: String);
    function GetFECHA_PAGOValue: DateTime;
    procedure SetFECHA_PAGOValue(const aValue: DateTime);
    function GetTITULARValue: String;
    procedure SetTITULARValue(const aValue: String);
    function GetENTIDADValue: String;
    procedure SetENTIDADValue(const aValue: String);
    function GetSUCURSALValue: String;
    procedure SetSUCURSALValue(const aValue: String);
    function GetDCValue: String;
    procedure SetDCValue(const aValue: String);
    function GetCUENTAValue: String;
    procedure SetCUENTAValue(const aValue: String);
    function GetFECHA_ALTAValue: DateTime;
    procedure SetFECHA_ALTAValue(const aValue: DateTime);
    function GetFECHA_MODIFICACIONValue: DateTime;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime);
    function GetUSUARIOValue: String;
    procedure SetUSUARIOValue(const aValue: String);


    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_RECIBO: Integer read GetID_RECIBOValue write SetID_RECIBOValue;
    property TIPO: String read GetTIPOValue write SetTIPOValue;
    property FECHA_PAGO: DateTime read GetFECHA_PAGOValue write SetFECHA_PAGOValue;
    property TITULAR: String read GetTITULARValue write SetTITULARValue;
    property ENTIDAD: String read GetENTIDADValue write SetENTIDADValue;
    property SUCURSAL: String read GetSUCURSALValue write SetSUCURSALValue;
    property DC: String read GetDCValue write SetDCValue;
    property CUENTA: String read GetCUENTAValue write SetCUENTAValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
  end;

  { TPagosProveedorDataTableRules }
  TPagosProveedorDataTableRules = class(TDADataTableRules, IPagosProveedor)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_RECIBOValue: Integer; virtual;
    procedure SetID_RECIBOValue(const aValue: Integer); virtual;
    function GetTIPOValue: String; virtual;
    procedure SetTIPOValue(const aValue: String); virtual;
    function GetFECHA_PAGOValue: DateTime; virtual;
    procedure SetFECHA_PAGOValue(const aValue: DateTime); virtual;
    function GetTITULARValue: String; virtual;
    procedure SetTITULARValue(const aValue: String); virtual;
    function GetENTIDADValue: String; virtual;
    procedure SetENTIDADValue(const aValue: String); virtual;
    function GetSUCURSALValue: String; virtual;
    procedure SetSUCURSALValue(const aValue: String); virtual;
    function GetDCValue: String; virtual;
    procedure SetDCValue(const aValue: String); virtual;
    function GetCUENTAValue: String; virtual;
    procedure SetCUENTAValue(const aValue: String); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;

    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_RECIBO: Integer read GetID_RECIBOValue write SetID_RECIBOValue;
    property TIPO: String read GetTIPOValue write SetTIPOValue;
    property FECHA_PAGO: DateTime read GetFECHA_PAGOValue write SetFECHA_PAGOValue;
    property TITULAR: String read GetTITULARValue write SetTITULARValue;
    property ENTIDAD: String read GetENTIDADValue write SetENTIDADValue;
    property SUCURSAL: String read GetSUCURSALValue write SetSUCURSALValue;
    property DC: String read GetDCValue write SetDCValue;
    property CUENTA: String read GetCUENTAValue write SetCUENTAValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

implementation

uses Variants;

{ TRecibosCompensadosProvDataTableRules }
constructor TRecibosCompensadosProvDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TRecibosCompensadosProvDataTableRules.Destroy;
begin
  inherited;
end;

function TRecibosCompensadosProvDataTableRules.GetIDValue: Integer;
begin
  result := DataTable.Fields[idx_RecibosCompensadosProvID].AsInteger;
end;

procedure TRecibosCompensadosProvDataTableRules.SetIDValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RecibosCompensadosProvID].AsInteger := aValue;
end;

function TRecibosCompensadosProvDataTableRules.GetID_RECIBO_COMPENSADOValue: Integer;
begin
  result := DataTable.Fields[idx_RecibosCompensadosProvID_RECIBO_COMPENSADO].AsInteger;
end;

procedure TRecibosCompensadosProvDataTableRules.SetID_RECIBO_COMPENSADOValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RecibosCompensadosProvID_RECIBO_COMPENSADO].AsInteger := aValue;
end;

function TRecibosCompensadosProvDataTableRules.GetREFERENCIAValue: String;
begin
  result := DataTable.Fields[idx_RecibosCompensadosProvREFERENCIA].AsString;
end;

procedure TRecibosCompensadosProvDataTableRules.SetREFERENCIAValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosCompensadosProvREFERENCIA].AsString := aValue;
end;

function TRecibosCompensadosProvDataTableRules.GetSITUACIONValue: String;
begin
  result := DataTable.Fields[idx_RecibosCompensadosProvSITUACION].AsString;
end;

procedure TRecibosCompensadosProvDataTableRules.SetSITUACIONValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosCompensadosProvSITUACION].AsString := aValue;
end;

function TRecibosCompensadosProvDataTableRules.GetID_FACTURAValue: Integer;
begin
  result := DataTable.Fields[idx_RecibosCompensadosProvID_FACTURA].AsInteger;
end;

procedure TRecibosCompensadosProvDataTableRules.SetID_FACTURAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RecibosCompensadosProvID_FACTURA].AsInteger := aValue;
end;

function TRecibosCompensadosProvDataTableRules.GetFECHA_EMISIONValue: DateTime;
begin
  result := DataTable.Fields[idx_RecibosCompensadosProvFECHA_EMISION].AsDateTime;
end;

procedure TRecibosCompensadosProvDataTableRules.SetFECHA_EMISIONValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RecibosCompensadosProvFECHA_EMISION].AsDateTime := aValue;
end;

function TRecibosCompensadosProvDataTableRules.GetFECHA_VENCIMIENTOValue: DateTime;
begin
  result := DataTable.Fields[idx_RecibosCompensadosProvFECHA_VENCIMIENTO].AsDateTime;
end;

procedure TRecibosCompensadosProvDataTableRules.SetFECHA_VENCIMIENTOValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RecibosCompensadosProvFECHA_VENCIMIENTO].AsDateTime := aValue;
end;

function TRecibosCompensadosProvDataTableRules.GetIMPORTEValue: Float;
begin
  result := DataTable.Fields[idx_RecibosCompensadosProvIMPORTE].AsFloat;
end;

procedure TRecibosCompensadosProvDataTableRules.SetIMPORTEValue(const aValue: Float);
begin
  DataTable.Fields[idx_RecibosCompensadosProvIMPORTE].AsFloat := aValue;
end;

function TRecibosCompensadosProvDataTableRules.GetOTROS_GASTOSValue: Float;
begin
  result := DataTable.Fields[idx_RecibosCompensadosProvOTROS_GASTOS].AsFloat;
end;

procedure TRecibosCompensadosProvDataTableRules.SetOTROS_GASTOSValue(const aValue: Float);
begin
  DataTable.Fields[idx_RecibosCompensadosProvOTROS_GASTOS].AsFloat := aValue;
end;

function TRecibosCompensadosProvDataTableRules.GetIMPORTE_TOTALValue: Float;
begin
  result := DataTable.Fields[idx_RecibosCompensadosProvIMPORTE_TOTAL].AsFloat;
end;

procedure TRecibosCompensadosProvDataTableRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  DataTable.Fields[idx_RecibosCompensadosProvIMPORTE_TOTAL].AsFloat := aValue;
end;

function TRecibosCompensadosProvDataTableRules.GetFECHA_FACTURAValue: DateTime;
begin
  result := DataTable.Fields[idx_RecibosCompensadosProvFECHA_FACTURA].AsDateTime;
end;

procedure TRecibosCompensadosProvDataTableRules.SetFECHA_FACTURAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RecibosCompensadosProvFECHA_FACTURA].AsDateTime := aValue;
end;

function TRecibosCompensadosProvDataTableRules.GetIMPORTE_FACTURAValue: Float;
begin
  result := DataTable.Fields[idx_RecibosCompensadosProvIMPORTE_FACTURA].AsFloat;
end;

procedure TRecibosCompensadosProvDataTableRules.SetIMPORTE_FACTURAValue(const aValue: Float);
begin
  DataTable.Fields[idx_RecibosCompensadosProvIMPORTE_FACTURA].AsFloat := aValue;
end;

function TRecibosCompensadosProvDataTableRules.GetID_PROVEEDORValue: Integer;
begin
  result := DataTable.Fields[idx_RecibosCompensadosProvID_PROVEEDOR].AsInteger;
end;

procedure TRecibosCompensadosProvDataTableRules.SetID_PROVEEDORValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RecibosCompensadosProvID_PROVEEDOR].AsInteger := aValue;
end;

function TRecibosCompensadosProvDataTableRules.GetNOMBRE_PROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_RecibosCompensadosProvNOMBRE_PROVEEDOR].AsString;
end;

procedure TRecibosCompensadosProvDataTableRules.SetNOMBRE_PROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosCompensadosProvNOMBRE_PROVEEDOR].AsString := aValue;
end;

function TRecibosCompensadosProvDataTableRules.GetNIF_CIF_PROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_RecibosCompensadosProvNIF_CIF_PROVEEDOR].AsString;
end;

procedure TRecibosCompensadosProvDataTableRules.SetNIF_CIF_PROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosCompensadosProvNIF_CIF_PROVEEDOR].AsString := aValue;
end;

function TRecibosCompensadosProvDataTableRules.GetID_EMPRESAValue: Integer;
begin
  result := DataTable.Fields[idx_RecibosCompensadosProvID_EMPRESA].AsInteger;
end;

procedure TRecibosCompensadosProvDataTableRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RecibosCompensadosProvID_EMPRESA].AsInteger := aValue;
end;


{ TRecibosProveedorDataTableRules }
constructor TRecibosProveedorDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TRecibosProveedorDataTableRules.Destroy;
begin
  inherited;
end;

function TRecibosProveedorDataTableRules.GetIDValue: Integer;
begin
  result := DataTable.Fields[idx_RecibosProveedorID].AsInteger;
end;

procedure TRecibosProveedorDataTableRules.SetIDValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RecibosProveedorID].AsInteger := aValue;
end;

function TRecibosProveedorDataTableRules.GetID_RECIBO_COMPENSADOValue: Integer;
begin
  result := DataTable.Fields[idx_RecibosProveedorID_RECIBO_COMPENSADO].AsInteger;
end;

procedure TRecibosProveedorDataTableRules.SetID_RECIBO_COMPENSADOValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RecibosProveedorID_RECIBO_COMPENSADO].AsInteger := aValue;
end;

function TRecibosProveedorDataTableRules.GetREFERENCIA_REC_COMPENSADOValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedorREFERENCIA_REC_COMPENSADO].AsString;
end;

procedure TRecibosProveedorDataTableRules.SetREFERENCIA_REC_COMPENSADOValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedorREFERENCIA_REC_COMPENSADO].AsString := aValue;
end;

function TRecibosProveedorDataTableRules.GetREFERENCIAValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedorREFERENCIA].AsString;
end;

procedure TRecibosProveedorDataTableRules.SetREFERENCIAValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedorREFERENCIA].AsString := aValue;
end;

function TRecibosProveedorDataTableRules.GetREFERENCIA_PROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedorREFERENCIA_PROVEEDOR].AsString;
end;

procedure TRecibosProveedorDataTableRules.SetREFERENCIA_PROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedorREFERENCIA_PROVEEDOR].AsString := aValue;
end;

function TRecibosProveedorDataTableRules.GetSITUACIONValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedorSITUACION].AsString;
end;

procedure TRecibosProveedorDataTableRules.SetSITUACIONValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedorSITUACION].AsString := aValue;
end;

function TRecibosProveedorDataTableRules.GetID_FACTURAValue: Integer;
begin
  result := DataTable.Fields[idx_RecibosProveedorID_FACTURA].AsInteger;
end;

procedure TRecibosProveedorDataTableRules.SetID_FACTURAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RecibosProveedorID_FACTURA].AsInteger := aValue;
end;

function TRecibosProveedorDataTableRules.GetID_REMESAValue: Integer;
begin
  result := DataTable.Fields[idx_RecibosProveedorID_REMESA].AsInteger;
end;

procedure TRecibosProveedorDataTableRules.SetID_REMESAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RecibosProveedorID_REMESA].AsInteger := aValue;
end;

function TRecibosProveedorDataTableRules.GetREFERENCIA_REMESAValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedorREFERENCIA_REMESA].AsString;
end;

procedure TRecibosProveedorDataTableRules.SetREFERENCIA_REMESAValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedorREFERENCIA_REMESA].AsString := aValue;
end;

function TRecibosProveedorDataTableRules.GetFECHA_EMISIONValue: DateTime;
begin
  result := DataTable.Fields[idx_RecibosProveedorFECHA_EMISION].AsDateTime;
end;

procedure TRecibosProveedorDataTableRules.SetFECHA_EMISIONValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RecibosProveedorFECHA_EMISION].AsDateTime := aValue;
end;

function TRecibosProveedorDataTableRules.GetFECHA_VENCIMIENTOValue: DateTime;
begin
  result := DataTable.Fields[idx_RecibosProveedorFECHA_VENCIMIENTO].AsDateTime;
end;

procedure TRecibosProveedorDataTableRules.SetFECHA_VENCIMIENTOValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RecibosProveedorFECHA_VENCIMIENTO].AsDateTime := aValue;
end;

function TRecibosProveedorDataTableRules.GetDESCRIPCIONValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedorDESCRIPCION].AsString;
end;

procedure TRecibosProveedorDataTableRules.SetDESCRIPCIONValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedorDESCRIPCION].AsString := aValue;
end;

function TRecibosProveedorDataTableRules.GetOBSERVACIONESValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedorOBSERVACIONES].AsString;
end;

procedure TRecibosProveedorDataTableRules.SetOBSERVACIONESValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedorOBSERVACIONES].AsString := aValue;
end;

function TRecibosProveedorDataTableRules.GetIMPORTEValue: Currency;
begin
  result := DataTable.Fields[idx_RecibosProveedorIMPORTE].AsCurrency;
end;

procedure TRecibosProveedorDataTableRules.SetIMPORTEValue(const aValue: Currency);
begin
  DataTable.Fields[idx_RecibosProveedorIMPORTE].AsCurrency := aValue;
end;

function TRecibosProveedorDataTableRules.GetOTROS_GASTOSValue: Currency;
begin
  result := DataTable.Fields[idx_RecibosProveedorOTROS_GASTOS].AsCurrency;
end;

procedure TRecibosProveedorDataTableRules.SetOTROS_GASTOSValue(const aValue: Currency);
begin
  DataTable.Fields[idx_RecibosProveedorOTROS_GASTOS].AsCurrency := aValue;
end;

function TRecibosProveedorDataTableRules.GetIMPORTE_TOTALValue: Currency;
begin
  result := DataTable.Fields[idx_RecibosProveedorIMPORTE_TOTAL].AsCurrency;
end;

procedure TRecibosProveedorDataTableRules.SetIMPORTE_TOTALValue(const aValue: Currency);
begin
  DataTable.Fields[idx_RecibosProveedorIMPORTE_TOTAL].AsCurrency := aValue;
end;

function TRecibosProveedorDataTableRules.GetFECHA_FACTURAValue: DateTime;
begin
  result := DataTable.Fields[idx_RecibosProveedorFECHA_FACTURA].AsDateTime;
end;

procedure TRecibosProveedorDataTableRules.SetFECHA_FACTURAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RecibosProveedorFECHA_FACTURA].AsDateTime := aValue;
end;

function TRecibosProveedorDataTableRules.GetREFERENCIA_FACTURA_PROVValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedorREFERENCIA_FACTURA_PROV].AsString;
end;

procedure TRecibosProveedorDataTableRules.SetREFERENCIA_FACTURA_PROVValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedorREFERENCIA_FACTURA_PROV].AsString := aValue;
end;

function TRecibosProveedorDataTableRules.GetFORMA_PAGO_FACTURAValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedorFORMA_PAGO_FACTURA].AsString;
end;

procedure TRecibosProveedorDataTableRules.SetFORMA_PAGO_FACTURAValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedorFORMA_PAGO_FACTURA].AsString := aValue;
end;

function TRecibosProveedorDataTableRules.GetIMPORTE_FACTURAValue: Currency;
begin
  result := DataTable.Fields[idx_RecibosProveedorIMPORTE_FACTURA].AsCurrency;
end;

procedure TRecibosProveedorDataTableRules.SetIMPORTE_FACTURAValue(const aValue: Currency);
begin
  DataTable.Fields[idx_RecibosProveedorIMPORTE_FACTURA].AsCurrency := aValue;
end;

function TRecibosProveedorDataTableRules.GetID_PROVEEDORValue: Integer;
begin
  result := DataTable.Fields[idx_RecibosProveedorID_PROVEEDOR].AsInteger;
end;

procedure TRecibosProveedorDataTableRules.SetID_PROVEEDORValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RecibosProveedorID_PROVEEDOR].AsInteger := aValue;
end;

function TRecibosProveedorDataTableRules.GetNOMBRE_PROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedorNOMBRE_PROVEEDOR].AsString;
end;

procedure TRecibosProveedorDataTableRules.SetNOMBRE_PROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedorNOMBRE_PROVEEDOR].AsString := aValue;
end;

function TRecibosProveedorDataTableRules.GetNIF_CIF_PROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedorNIF_CIF_PROVEEDOR].AsString;
end;

procedure TRecibosProveedorDataTableRules.SetNIF_CIF_PROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedorNIF_CIF_PROVEEDOR].AsString := aValue;
end;

function TRecibosProveedorDataTableRules.GetENTIDAD_PROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedorENTIDAD_PROVEEDOR].AsString;
end;

procedure TRecibosProveedorDataTableRules.SetENTIDAD_PROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedorENTIDAD_PROVEEDOR].AsString := aValue;
end;

function TRecibosProveedorDataTableRules.GetSUCURSAL_PROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedorSUCURSAL_PROVEEDOR].AsString;
end;

procedure TRecibosProveedorDataTableRules.SetSUCURSAL_PROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedorSUCURSAL_PROVEEDOR].AsString := aValue;
end;

function TRecibosProveedorDataTableRules.GetDC_PROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedorDC_PROVEEDOR].AsString;
end;

procedure TRecibosProveedorDataTableRules.SetDC_PROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedorDC_PROVEEDOR].AsString := aValue;
end;

function TRecibosProveedorDataTableRules.GetCUENTA_PROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedorCUENTA_PROVEEDOR].AsString;
end;

procedure TRecibosProveedorDataTableRules.SetCUENTA_PROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedorCUENTA_PROVEEDOR].AsString := aValue;
end;

function TRecibosProveedorDataTableRules.GetID_EMPRESAValue: Integer;
begin
  result := DataTable.Fields[idx_RecibosProveedorID_EMPRESA].AsInteger;
end;

procedure TRecibosProveedorDataTableRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RecibosProveedorID_EMPRESA].AsInteger := aValue;
end;

function TRecibosProveedorDataTableRules.GetFECHA_ALTAValue: DateTime;
begin
  result := DataTable.Fields[idx_RecibosProveedorFECHA_ALTA].AsDateTime;
end;

procedure TRecibosProveedorDataTableRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RecibosProveedorFECHA_ALTA].AsDateTime := aValue;
end;

function TRecibosProveedorDataTableRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := DataTable.Fields[idx_RecibosProveedorFECHA_MODIFICACION].AsDateTime;
end;

procedure TRecibosProveedorDataTableRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RecibosProveedorFECHA_MODIFICACION].AsDateTime := aValue;
end;

function TRecibosProveedorDataTableRules.GetUSUARIOValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedorUSUARIO].AsString;
end;

procedure TRecibosProveedorDataTableRules.SetUSUARIOValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedorUSUARIO].AsString := aValue;
end;


{ TRecibosProveedor_RefreshDataTableRules }
constructor TRecibosProveedor_RefreshDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TRecibosProveedor_RefreshDataTableRules.Destroy;
begin
  inherited;
end;

function TRecibosProveedor_RefreshDataTableRules.GetIDValue: Integer;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshID].AsInteger;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetIDValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshID].AsInteger := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetID_RECIBO_COMPENSADOValue: Integer;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshID_RECIBO_COMPENSADO].AsInteger;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetID_RECIBO_COMPENSADOValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshID_RECIBO_COMPENSADO].AsInteger := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetREFERENCIA_REC_COMPENSADOValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshREFERENCIA_REC_COMPENSADO].AsString;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetREFERENCIA_REC_COMPENSADOValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshREFERENCIA_REC_COMPENSADO].AsString := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetREFERENCIAValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshREFERENCIA].AsString;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetREFERENCIAValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshREFERENCIA].AsString := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetREFERENCIA_PROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshREFERENCIA_PROVEEDOR].AsString;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetREFERENCIA_PROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshREFERENCIA_PROVEEDOR].AsString := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetSITUACIONValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshSITUACION].AsString;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetSITUACIONValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshSITUACION].AsString := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetID_FACTURAValue: Integer;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshID_FACTURA].AsInteger;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetID_FACTURAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshID_FACTURA].AsInteger := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetID_REMESAValue: Integer;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshID_REMESA].AsInteger;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetID_REMESAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshID_REMESA].AsInteger := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetREFERENCIA_REMESAValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshREFERENCIA_REMESA].AsString;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetREFERENCIA_REMESAValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshREFERENCIA_REMESA].AsString := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetFECHA_EMISIONValue: DateTime;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshFECHA_EMISION].AsDateTime;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetFECHA_EMISIONValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshFECHA_EMISION].AsDateTime := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetFECHA_VENCIMIENTOValue: DateTime;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshFECHA_VENCIMIENTO].AsDateTime;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetFECHA_VENCIMIENTOValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshFECHA_VENCIMIENTO].AsDateTime := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetDESCRIPCIONValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshDESCRIPCION].AsString;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetDESCRIPCIONValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshDESCRIPCION].AsString := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetOBSERVACIONESValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshOBSERVACIONES].AsString;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetOBSERVACIONESValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshOBSERVACIONES].AsString := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetIMPORTEValue: Currency;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshIMPORTE].AsCurrency;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetIMPORTEValue(const aValue: Currency);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshIMPORTE].AsCurrency := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetOTROS_GASTOSValue: Currency;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshOTROS_GASTOS].AsCurrency;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetOTROS_GASTOSValue(const aValue: Currency);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshOTROS_GASTOS].AsCurrency := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetIMPORTE_TOTALValue: Currency;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshIMPORTE_TOTAL].AsCurrency;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetIMPORTE_TOTALValue(const aValue: Currency);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshIMPORTE_TOTAL].AsCurrency := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetFECHA_FACTURAValue: DateTime;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshFECHA_FACTURA].AsDateTime;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetFECHA_FACTURAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshFECHA_FACTURA].AsDateTime := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetREFERENCIA_FACTURA_PROVValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshREFERENCIA_FACTURA_PROV].AsString;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetREFERENCIA_FACTURA_PROVValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshREFERENCIA_FACTURA_PROV].AsString := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetFORMA_PAGO_FACTURAValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshFORMA_PAGO_FACTURA].AsString;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetFORMA_PAGO_FACTURAValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshFORMA_PAGO_FACTURA].AsString := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetIMPORTE_FACTURAValue: Currency;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshIMPORTE_FACTURA].AsCurrency;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetIMPORTE_FACTURAValue(const aValue: Currency);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshIMPORTE_FACTURA].AsCurrency := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetID_PROVEEDORValue: Integer;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshID_PROVEEDOR].AsInteger;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetID_PROVEEDORValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshID_PROVEEDOR].AsInteger := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetNOMBRE_PROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshNOMBRE_PROVEEDOR].AsString;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetNOMBRE_PROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshNOMBRE_PROVEEDOR].AsString := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetNIF_CIF_PROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshNIF_CIF_PROVEEDOR].AsString;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetNIF_CIF_PROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshNIF_CIF_PROVEEDOR].AsString := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetENTIDAD_PROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshENTIDAD_PROVEEDOR].AsString;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetENTIDAD_PROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshENTIDAD_PROVEEDOR].AsString := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetSUCURSAL_PROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshSUCURSAL_PROVEEDOR].AsString;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetSUCURSAL_PROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshSUCURSAL_PROVEEDOR].AsString := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetDC_PROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshDC_PROVEEDOR].AsString;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetDC_PROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshDC_PROVEEDOR].AsString := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetCUENTA_PROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshCUENTA_PROVEEDOR].AsString;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetCUENTA_PROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshCUENTA_PROVEEDOR].AsString := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetID_EMPRESAValue: Integer;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshID_EMPRESA].AsInteger;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshID_EMPRESA].AsInteger := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetFECHA_ALTAValue: DateTime;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshFECHA_ALTA].AsDateTime;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshFECHA_ALTA].AsDateTime := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshFECHA_MODIFICACION].AsDateTime;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshFECHA_MODIFICACION].AsDateTime := aValue;
end;

function TRecibosProveedor_RefreshDataTableRules.GetUSUARIOValue: String;
begin
  result := DataTable.Fields[idx_RecibosProveedor_RefreshUSUARIO].AsString;
end;

procedure TRecibosProveedor_RefreshDataTableRules.SetUSUARIOValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosProveedor_RefreshUSUARIO].AsString := aValue;
end;


{ TPagosProveedorDataTableRules }
constructor TPagosProveedorDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TPagosProveedorDataTableRules.Destroy;
begin
  inherited;
end;

function TPagosProveedorDataTableRules.GetIDValue: Integer;
begin
  result := DataTable.Fields[idx_PagosProveedorID].AsInteger;
end;

procedure TPagosProveedorDataTableRules.SetIDValue(const aValue: Integer);
begin
  DataTable.Fields[idx_PagosProveedorID].AsInteger := aValue;
end;

function TPagosProveedorDataTableRules.GetID_RECIBOValue: Integer;
begin
  result := DataTable.Fields[idx_PagosProveedorID_RECIBO].AsInteger;
end;

procedure TPagosProveedorDataTableRules.SetID_RECIBOValue(const aValue: Integer);
begin
  DataTable.Fields[idx_PagosProveedorID_RECIBO].AsInteger := aValue;
end;

function TPagosProveedorDataTableRules.GetTIPOValue: String;
begin
  result := DataTable.Fields[idx_PagosProveedorTIPO].AsString;
end;

procedure TPagosProveedorDataTableRules.SetTIPOValue(const aValue: String);
begin
  DataTable.Fields[idx_PagosProveedorTIPO].AsString := aValue;
end;

function TPagosProveedorDataTableRules.GetFECHA_PAGOValue: DateTime;
begin
  result := DataTable.Fields[idx_PagosProveedorFECHA_PAGO].AsDateTime;
end;

procedure TPagosProveedorDataTableRules.SetFECHA_PAGOValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_PagosProveedorFECHA_PAGO].AsDateTime := aValue;
end;

function TPagosProveedorDataTableRules.GetTITULARValue: String;
begin
  result := DataTable.Fields[idx_PagosProveedorTITULAR].AsString;
end;

procedure TPagosProveedorDataTableRules.SetTITULARValue(const aValue: String);
begin
  DataTable.Fields[idx_PagosProveedorTITULAR].AsString := aValue;
end;

function TPagosProveedorDataTableRules.GetENTIDADValue: String;
begin
  result := DataTable.Fields[idx_PagosProveedorENTIDAD].AsString;
end;

procedure TPagosProveedorDataTableRules.SetENTIDADValue(const aValue: String);
begin
  DataTable.Fields[idx_PagosProveedorENTIDAD].AsString := aValue;
end;

function TPagosProveedorDataTableRules.GetSUCURSALValue: String;
begin
  result := DataTable.Fields[idx_PagosProveedorSUCURSAL].AsString;
end;

procedure TPagosProveedorDataTableRules.SetSUCURSALValue(const aValue: String);
begin
  DataTable.Fields[idx_PagosProveedorSUCURSAL].AsString := aValue;
end;

function TPagosProveedorDataTableRules.GetDCValue: String;
begin
  result := DataTable.Fields[idx_PagosProveedorDC].AsString;
end;

procedure TPagosProveedorDataTableRules.SetDCValue(const aValue: String);
begin
  DataTable.Fields[idx_PagosProveedorDC].AsString := aValue;
end;

function TPagosProveedorDataTableRules.GetCUENTAValue: String;
begin
  result := DataTable.Fields[idx_PagosProveedorCUENTA].AsString;
end;

procedure TPagosProveedorDataTableRules.SetCUENTAValue(const aValue: String);
begin
  DataTable.Fields[idx_PagosProveedorCUENTA].AsString := aValue;
end;

function TPagosProveedorDataTableRules.GetFECHA_ALTAValue: DateTime;
begin
  result := DataTable.Fields[idx_PagosProveedorFECHA_ALTA].AsDateTime;
end;

procedure TPagosProveedorDataTableRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_PagosProveedorFECHA_ALTA].AsDateTime := aValue;
end;

function TPagosProveedorDataTableRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := DataTable.Fields[idx_PagosProveedorFECHA_MODIFICACION].AsDateTime;
end;

procedure TPagosProveedorDataTableRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_PagosProveedorFECHA_MODIFICACION].AsDateTime := aValue;
end;

function TPagosProveedorDataTableRules.GetUSUARIOValue: String;
begin
  result := DataTable.Fields[idx_PagosProveedorUSUARIO].AsString;
end;

procedure TPagosProveedorDataTableRules.SetUSUARIOValue(const aValue: String);
begin
  DataTable.Fields[idx_PagosProveedorUSUARIO].AsString := aValue;
end;


initialization
  RegisterDataTableRules(RID_RecibosCompensadosProv, TRecibosCompensadosProvDataTableRules);
  RegisterDataTableRules(RID_RecibosProveedor, TRecibosProveedorDataTableRules);
  RegisterDataTableRules(RID_RecibosProveedor_Refresh, TRecibosProveedor_RefreshDataTableRules);
  RegisterDataTableRules(RID_PagosProveedor, TPagosProveedorDataTableRules);

end.
